Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Project-scoped API key. It cannot access account routes or create additional projects.

Headers

Bisibility-API-Version
enum<string>

API contract version requested by the client. Omit this header to use the current backward-compatible behavior.

Available options:
v1

Query Parameters

limit
integer
default:50

Maximum keywords to return. Defaults to 50.

Required range: 1 <= x <= 200
cursor
string

Opaque v3 cursor returned as meta.next_cursor from the previous page.

Case-insensitive keyword text search. Also accepted as q.

tag
string

Case-insensitive exact tag filter. Also accepted as filter[tag].

topic
string

Case-insensitive exact topic filter. Also accepted as filter[topic].

Required string length: 1 - 80
intent
string

Case-insensitive exact intent filter. Also accepted as filter[intent].

Required string length: 1 - 80
device
enum<string>

Filter by SERP device. Also accepted as filter[device].

Available options:
desktop,
mobile
country
string

Filter by canonical country or stored location alias. Also accepted as filter[country].

position_gt
number

Match keywords with a rank check position greater than this number. Also accepted as filter[position_gt].

position_lt
number

Match keywords with a rank check position less than this number. Also accepted as filter[position_lt].

sort
enum<string>
default:-created_at

Sort order for the keyword list.

Available options:
created_at,
-created_at,
keyword,
-keyword,
text,
-text,
updated_at,
-updated_at

Response

JSON response

data
object[]
required
meta
object
required